// Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.

// для оптимізації коду. так як цикли роблять багаторазове виконаня команди до того часу поки користувач не виконає усі умови правильно

// Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.

// while - коли нада повторяти умову для користувача безкінечно

// for - коли нада перевірка з рошириними функціями

// Що таке явне та неявне приведення (перетворення) типів даних у JS?

// Number('123') явне перетвоорення

// +'123' не явне перетворення


let nun = prompt("Enter number");
while (nun === null || nun === '' || Number.isInteger(nun)) {
    nun = prompt("Enter number", nun ? nun : '');
}

if (nun >=  5){
    for (let i = 0; i <= nun; i++) {
        if (i % 5 === 0) {
            console.log(i);}
        // } else if () {
        //     alert ("Sorry, no numbers");
        // }
    }}else {
        alert ("Sorry, no numbers");
    }




   
